package cn.iocoder.yudao.module.system.service.reservation;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.AppointmentPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.AppointmentRespVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.AppointmentSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.reservation.VisitAppointmentDO;

/**
 * 长者来访预约 Service 接口
 *
 * @author 系统管理员
 */
public interface VisitAppointmentService {


    Long createAppointment(AppointmentSaveReqVO createReqVO);

    void updateAppointment(AppointmentSaveReqVO updateReqVO);

    void closeAppointment(Long id);

    AppointmentRespVO getAppointment(Long id);

    PageResult<VisitAppointmentDO> getAppointmentPage(AppointmentPageReqVO pageReqVO);
}